Page MenuHomeMiraheze

Mobile view has no content
Open, Stalled, NormalPublic

Description

When visitors come to my wiki with their mobile browser, only page header and footer will load, no content. They have to click the link "Klassische Ansicht" (something like "classical view") in the footer to see the desktop version with content. It also works if the mobile browser is configured to "request desktop-version" from the start.

Example page: https://thunis.miraheze.org/wiki/Hell_Hath_No_Fury
On Desktop it works, one mobile it doesn't.

I tried setting different default skins for the wiki, but that did nothing.

This is a huge problem for us because we have many mobile users and none of them are very tech-savvy.

Event Timeline

Constantin created this task.Jul 14 2019, 16:08
AmandaCath triaged this task as High priority.Jul 14 2019, 19:41
AmandaCath moved this task from Backlog to Bugs on the MediaWiki board.

Curious how some wikis like testwiki work with this https://publictestwiki.com/wiki/Random_page, but Meta for example doesn't.

The source of the issue has been identified. Having the Tweeki skin enabled on a wiki seems to be causing this issue. Disabling should fix the mobile view issue.

Reception123 changed the task status from Open to Stalled.Jul 19 2019, 19:12
Reception123 lowered the priority of this task from High to Normal.
Reception123 added a project: Upstream.

As this is a bug with the extension, this is out of our hands and is Upstream (https://github.com/thaider/Tweeki/issues/150)

The temporary solution is to disable the skin on wikis, and I will put a note next to it to indicate that if it's enabled mobile pages will not work.

Thank you very much. I disabled the Addon and now it works again. We don't really need the Tweeki skin, so the issue is resolved for me now.

Thank you very much. I disabled the Addon and now it works again. We don't really need the Tweeki skin, so the issue is resolved for me now.

If you've disabled Tweeki then you won't have an issue but we'll leave this task open until Tweeki's developers fix the issue and it's safe to re-enable it.

Paladox moved this task from Bugs to Upstream on the MediaWiki board.Jul 20 2019, 13:35
This comment was removed by Reception123.